This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 850885 - Docs: Minor errors in the Reference Guide
Docs: Minor errors in the Reference Guide
Status: ON_QA
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Documentation (Show other bugs)
5.2.2.CR01
Unspecified Unspecified
low Severity low
: ---
: 5.2.x
Assigned To: mmurray
Tomas Kyjovsky
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 12:01 EDT by Miroslav Cupák
Modified: 2015-08-09 21:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Miroslav Cupák 2012-08-22 12:01:18 EDT
Description of problem:
Issue for keeping track of minor errors in the Reference Guide (grammar mistakes, typos etc.), see the comments for more details.
Comment 1 Miroslav Cupák 2012-08-22 12:03:57 EDT
Chapters 1-13 (mostly grammar mistakes, listed by sections):

2.6. The Default Skin
and well as defining ->  as well as defines
eXoResources.war will contains -> eXoResources.war will contain
numbbering in the code sample goes outside the sample (4)

2.7.3.1. Define a Custom CSS File
to create non-functioning a CSS-link -> to create a non-functioning CSS-link

6.1. Overview
ownerType define the type of portal navigation. It may be a portal, group or user  -> ownerType defines the type of portal navigation. It may be a portal, group or user.
templateLocation the classpath where contains -> templateLocation defines the classpath containing
stored in folders with path look like -> stored in folders with path looking like
xml:lang attribute in the label tag with value of xml:lang is the relevant locale -> xml:lang attribute in the label tag where value of xml:lang is the relevant locale
if they want the node label is localized -> if they want the node label to be localized

7.1. Introduction
In the Portal extension mechanism, developers can define an extension that Portal data can be customized by configurations in the extension. -> looks like something is missing here
There are several cases which an extension developer wants to define how to customize the Portal data -> something missing in the sentence?

7.2.1. Portal Configuration
how the import mode affects in the process ->  how the import mode affects the process

7.2.2. Page Data
The import mode affects the page data import in the same way as PortalConfig. 
the data import strategy always performs as -> the data import strategy always acts as

7.2.3. Navigation Data
The navigation data import strategy will be processed to the import mode level as the followings: -> The navigation data import strategy is processed at the import mode level in the following way: 
Other modifications remains untouched. ->  Other modifications remain untouched.
update same name nodes ->  update existing nodes

13.2.1. Controller
component of JBoss Enterprise Portal Platform that process -> component of JBoss Enterprise Portal Platform that processes
a request contain data -> a request contains data

13.2.2. Building Controller
route the request argument through the controller and returns a list of all parameter map resolution

13.2.3. Controller Configuration (controller.xml)
a tree of node -> a tree of nodes
three kind of -> three kinds of

13.2.3.1.  Route parameters 
Route parameters defines a fixed value associate with a qualified name. -> Route parameters define a fixed value associated with a qualified name. 
Rendering: selection occurs when always

13.2.3.3. Request parameters
when is the parameter is present -> when the parameter is present
when is the parameter is absent -> when the parameter is absent
a value or a pattern element a child element to match a constant or a pattern -> a value or a pattern child element to match a constant or a pattern 

13.2.3.4. Route precedence
The order of route declaration is important as it influence -> The order of route declarations is important as it influences

13.3.1. Routing
the mapping engine processes the request path and return -> the mapping engine processes the request path and returns
Those qualified names drives -> Those qualified names drive
now language can be specified on URL. that mean user can bookmark that URL (with the information about language) or he can changed language simply by modifying the URL address -> now language can be specified in URL. That means user can bookmark that URL (with the information about language) or he can change the language simply by modifying the URL.

13.3.2.1.  Portal URL 
PortalURL play -> PortalURL plays
but instead subclasses -> but its subclasses instead
an URL representing -> a URL representation
PortalURL are created via to the createURL method that takes as input a resource type. A resource type is usually a constant and is a type safe object that allow to retrieve PortalURL subclasses -> PortalURL is created via to the createURL method that takes a resource type as an input. A resource type is usually a constant and is a type safe object that allows retrieval of PortalURL subclasses
Such literal were -> Such literals were

13.3.2.2.  Node URL 
NodeURL is one of the subclass ->  NodeURL is one of the subclasses
Comment 3 Michal Vanco 2012-08-27 12:10:24 EDT
Few WSRP related comments:
--------------------------

18.3
incorrect versions at components:
 - option 1) change to general EPP_VERSION, WSRP_VERSION
 - option 2) fix to 5.2.2.GA for EPP and 2.1.7-EPP522-GA for WSRP

extension-config-5.2.2.jar:
needed by the GateIn extension mechanism
->
needed by the portal extension mechanism

18.3.1
link to community.jboss.org about JBoss WS (this is probably somewhere at access.redhat.com as well)

18.4.1
- "instuctions" link points to out-of-date document (it's possible to follow it, but some steps are a bit different)
- and there is nothing related to WSRP on GateIn's wiki

18.4.2, Credentials:
The recommended approach for this situation would be to use a common LDAP configuration. Please see the user guide on how to configure LDAP
 - LDAP configuration is part of Ref.Guide and not User Guide, put link to 17.9

18.4.2.1
 - link to AS5 documentation (WS-security) should go to access.redhat.com as well

18.7.3.3
 - change version of 2.1.6-EPP522-GA to 2.1.7-EPP522-GA or to WSRP_VERSION

18.9.1
 - change WSRP version as above (at both Notes)
Comment 4 Jared MORGAN 2012-09-25 01:28:09 EDT
TRIAGE INFORMATION

Relevance: EPP 5.2 and EPP 6

==Task==

Make the changes as prescribed in both versions of the document. 

Some less-prescriptive observations may require some research. Ask the devs about any you are stuck on using direct email.

A release note is not required for this issue.

==Requirements== 

Ensure you have access to:

http://svn.jboss.org/repos/gatein/epp/docs/branches/5.2/ and http://svn.jboss.org/repos/gatein/epp/docs/branches/6.0/

to make changes to these guides.
Comment 5 Russell Dickenson 2012-10-07 20:03:51 EDT
Attention: Eva

After completing the changes required by this ticket, please ensure you "svn up" (or git-svn equivalent) immediately afterward.
Comment 6 Eva Kopalova 2012-10-15 09:50:36 EDT
NEEDINFO:
Rendering: selection occurs when always. 
Where can I find more info on the Rendering parameter?

I have fixed references to wiki where applicable. There are still some references though. If needed, please, create a new bug to import the missing information.
Comment 10 Miroslav Cupák 2014-06-16 08:23:29 EDT
I recently started getting notifications on this bug about a pending (forgotten) needinfo request. IMHO there is nothing missing after ppenicka's fix so I'm clearing the flag.

Note You need to log in before you can comment on or make changes to this bug.